<html>
<head>
<title>Ogre::Page Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Page.html">Page</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Page Class Reference<div class="ingroups"><a class="el" href="group__Paging.html">Paging</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Page" --><!-- doxytag: inherits="Ogre::WorkQueue::RequestHandler,Ogre::WorkQueue::ResponseHandler,Ogre::AllocatedObject" -->
<p><a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> class.  
 <a href="classOgre_1_1Page.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Page:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Page__inherit__graph.gif" border="0" usemap="#Ogre_1_1Page_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Page_inherit__map" id="Ogre_1_1Page_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1WorkQueue_1_1RequestHandler.html" title="Interface definition for a handler of requests." alt="" coords="5,5,235,35"/><area shape="rect" id="node4" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html" title="Interface definition for a handler of responses." alt="" coords="259,5,496,35"/><area shape="rect" id="node6" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="520,5,600,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Page-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Page_1_1PageData.html">PageData</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Page_1_1PageRequest.html">PageRequest</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Structure for holding background page requests.  <a href="structOgre_1_1Page_1_1PageRequest.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Page_1_1PageResponse.html">PageResponse</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1PageContentCollection.html">PageContentCollection</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a3d71c404efc53ee4188a1cc3da596d97">ContentCollectionList</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a126724f388586df070971c3d7bc67eed">Page</a> (<a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a> pageID, <a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *parent)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#af3e063f796a4fc79c917eb44a31981a0">~Page</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PageManager.html">PageManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#aacba5887a85fb9ceeea08e493f60751e">getManager</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#ab60973ecd6838e0c211d2d7597cbb7d5">getSceneManager</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#ace4135b95de9a8516cbdca0dcce677ed">isDeferredProcessInProgress</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">If true, it's not safe to access this <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> at this time, contents may be changing.  <a href="#ace4135b95de9a8516cbdca0dcce677ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#ab8d5411d1d7e6f3939ba9244c0b6d109">getID</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the ID of this page, unique within the parent.  <a href="#ab8d5411d1d7e6f3939ba9244c0b6d109"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#aaf21709e7174dde657c21206c9e86f35">getParentSection</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the <a class="el" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a> this page belongs to.  <a href="#aaf21709e7174dde657c21206c9e86f35"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a81b8b18cbc6706484eae5654421516e9">getFrameLastHeld</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the frame number in which this <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> was last loaded or held.  <a href="#a81b8b18cbc6706484eae5654421516e9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a3f837b9ed9685e48b469a26a31759d70">touch</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">'Touch' the page to let it know it's being used  <a href="#a3f837b9ed9685e48b469a26a31759d70"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#abdeb24850d8840373696a791bfdad3f1">load</a> (bool synchronous)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load this page.  <a href="#abdeb24850d8840373696a791bfdad3f1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a376bbf6ea8fb5420e5054b7a8ee8fbbf">unload</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unload this page.  <a href="#a376bbf6ea8fb5420e5054b7a8ee8fbbf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a42b7744c285b582ea9263e19610aab81">isHeld</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether this page was 'held' in the last frame, that is was it either directly needed, or requested to stay in memory (held - as in a buffer region for example).  <a href="#a42b7744c285b582ea9263e19610aab81"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a453f4bbee5590c407ca6a4dd7dc61e32">save</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Save page data to an automatically generated file name.  <a href="#a453f4bbee5590c407ca6a4dd7dc61e32"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#af56d3f1279d11fc1913ef5486219e56d">save</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Save page data to a file.  <a href="#af56d3f1279d11fc1913ef5486219e56d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#ac1cbcf55baae62589bdb9dc3dd6f75e0">save</a> (<a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;stream)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Save page data to a serialiser.  <a href="#ac1cbcf55baae62589bdb9dc3dd6f75e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#af59f9efc4f1f817860196d519dd14d69">frameStart</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timeSinceLastFrame)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when the frame starts.  <a href="#af59f9efc4f1f817860196d519dd14d69"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#ac66750b1af3b6ff9a9109540a50bd2f0">frameEnd</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timeElapsed)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when the frame ends.  <a href="#ac66750b1af3b6ff9a9109540a50bd2f0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#abf275bff910b8dae916eda08f23ee728">notifyCamera</a> (<a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Notify a section of the current camera.  <a href="#abf275bff910b8dae916eda08f23ee728"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1PageContentCollection.html">PageContentCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#aa2b548cb36d32d101bc962bec9e4a532">createContentCollection</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;typeName)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new <a class="el" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a> within this page.  <a href="#aa2b548cb36d32d101bc962bec9e4a532"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a8ca47b6ce40af9cf4ab4dad16e86270f">destroyContentCollection</a> (<a class="el" href="classOgre_1_1PageContentCollection.html">PageContentCollection</a> *coll)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy a <a class="el" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a> within this page.  <a href="#a8ca47b6ce40af9cf4ab4dad16e86270f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a7d54d0141d86f76a8ef49ecd3c48aeea">destroyAllContentCollections</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy all PageContentCollections within this page.  <a href="#a7d54d0141d86f76a8ef49ecd3c48aeea"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a26028e45126f0666e85997bd0611ea24">getContentCollectionCount</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of content collections.  <a href="#a26028e45126f0666e85997bd0611ea24"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1PageContentCollection.html">PageContentCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a31ba49640bf95574ce526208f8113301">getContentCollection</a> (size_t index)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a content collection.  <a href="#a31ba49640bf95574ce526208f8113301"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Page.html#a3d71c404efc53ee4188a1cc3da596d97">ContentCollectionList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#ac6dfb284b5b743e464f378cb40401afb">getContentCollectionList</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the list of content collections.  <a href="#ac6dfb284b5b743e464f378cb40401afb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a858b194d988c22e52516f03fd50d0062">canHandleRequest</a> (const <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">WorkQueue::Request</a> *req, const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *srcQ)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html" title="Interface definition for a handler of requests.">WorkQueue::RequestHandler</a> override.  <a href="#a858b194d988c22e52516f03fd50d0062"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">WorkQueue::Response</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a80e1feed0673e75e4c56660f4be9fd00">handleRequest</a> (const <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">WorkQueue::Request</a> *req, const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *srcQ)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html" title="Interface definition for a handler of requests.">WorkQueue::RequestHandler</a> override.  <a href="#a80e1feed0673e75e4c56660f4be9fd00"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a3e963a28826407a7cb45f6c8fdaab4ce">canHandleResponse</a> (const <a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">WorkQueue::Response</a> *res, const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *srcQ)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html" title="Interface definition for a handler of responses.">WorkQueue::ResponseHandler</a> override.  <a href="#a3e963a28826407a7cb45f6c8fdaab4ce"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a90fa27b468e2eb4f8ca38b37ea504a0b">handleResponse</a> (const <a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">WorkQueue::Response</a> *res, const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *srcQ)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html" title="Interface definition for a handler of responses.">WorkQueue::ResponseHandler</a> override.  <a href="#a90fa27b468e2eb4f8ca38b37ea504a0b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#acd2cb9938bda9bd6b7bde31946d0139d">_notifyModified</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tell the page that it is modified.  <a href="#acd2cb9938bda9bd6b7bde31946d0139d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#ae510497e1a0e6c660c0d0c5b0c4e6db1">isModified</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a9594f6e545716a40f3e1257c448169d0">CHUNK_ID</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a5707ad53db103e123ff17a4837925c40">CHUNK_VERSION</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a6bb0e50b1d6056d204dbd95f58cbdc45">CHUNK_CONTENTCOLLECTION_DECLARATION_ID</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#ae7e7f504d91ee1a9b15fe7ba509d0047">WORKQUEUE_PREPARE_REQUEST</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#afea0d088cc4a9446d980b508cbbcfbdf">WORKQUEUE_CHANGECOLLECTION_REQUEST</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#aca73750320e5a7c8b688e25e8eceb5c9">updateDebugDisplay</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a024e6cf1040c7c4657aa59e0d618c7b0">prepareImpl</a> (<a class="el" href="structOgre_1_1Page_1_1PageData.html">PageData</a> *dataToPopulate)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a378a16d93e288929681f6b87f0e08f9f">prepareImpl</a> (<a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;str, <a class="el" href="structOgre_1_1Page_1_1PageData.html">PageData</a> *dataToPopulate)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a29994ecbd5b9ee763764987b3260155e">loadImpl</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a9cca2fdcdf9e13f47a59a504f1995dd3">generateFilename</a> () const </td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a257c35af5540c4c9af9f2911e1d8db93">mID</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a8a1fc43114eca2b868dfd0d1fbdf7292">mParent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#ae8719facc929feab430feb2ed3f9fd84">mFrameLastHeld</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Page.html#a3d71c404efc53ee4188a1cc3da596d97">ContentCollectionList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a51d4f202f3283df6cfbe0085e3b7342e">mContentCollections</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#aa0ad7ca737d07e2b01aa3b0cb2544b41">mWorkQueueChannel</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a4a177cc5bb02fdb6d4ad9b4fed1ba614">mDeferredProcessInProgress</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a23c7c28c738e2a8e71329f493d07c548">mModified</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneNode.html">SceneNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a3eaa267072d89c45de897f7aea3d906d">mDebugNode</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> friend <br class="typebreak"/>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html#a3f74de06fb5437ca247416afd1108a08">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classOgre_1_1Page.html">Page</a> &amp;p)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for writing to a stream.  <a href="#a3f74de06fb5437ca247416afd1108a08"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> class. </p>

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00048">48</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a3d71c404efc53ee4188a1cc3da596d97"></a><!-- doxytag: member="Ogre::Page::ContentCollectionList" ref="a3d71c404efc53ee4188a1cc3da596d97" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1PageContentCollection.html">PageContentCollection</a>*&gt;::type <a class="el" href="classOgre_1_1Page.html#a3d71c404efc53ee4188a1cc3da596d97">Ogre::Page::ContentCollectionList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00052">52</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a126724f388586df070971c3d7bc67eed"></a><!-- doxytag: member="Ogre::Page::Page" ref="a126724f388586df070971c3d7bc67eed" args="(PageID pageID, PagedWorldSection *parent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Page.html#a126724f388586df070971c3d7bc67eed">Ogre::Page::Page</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a>&#160;</td>
          <td class="paramname"><em>pageID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a> *&#160;</td>
          <td class="paramname"><em>parent</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af3e063f796a4fc79c917eb44a31981a0"></a><!-- doxytag: member="Ogre::Page::~Page" ref="af3e063f796a4fc79c917eb44a31981a0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Page.html#af3e063f796a4fc79c917eb44a31981a0">Ogre::Page::~Page</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="acd2cb9938bda9bd6b7bde31946d0139d"></a><!-- doxytag: member="Ogre::Page::_notifyModified" ref="acd2cb9938bda9bd6b7bde31946d0139d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Page.html#acd2cb9938bda9bd6b7bde31946d0139d">Ogre::Page::_notifyModified</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tell the page that it is modified. </p>

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00187">187</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="a858b194d988c22e52516f03fd50d0062"></a><!-- doxytag: member="Ogre::Page::canHandleRequest" ref="a858b194d988c22e52516f03fd50d0062" args="(const WorkQueue::Request *req, const WorkQueue *srcQ)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Page.html#a858b194d988c22e52516f03fd50d0062">Ogre::Page::canHandleRequest</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">WorkQueue::Request</a> *&#160;</td>
          <td class="paramname"><em>req</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *&#160;</td>
          <td class="paramname"><em>srcQ</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html" title="Interface definition for a handler of requests.">WorkQueue::RequestHandler</a> override. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html#adf4a5093c7b789352a0a44629490bc87">Ogre::WorkQueue::RequestHandler</a>.</p>

</div>
</div>
<a class="anchor" id="a3e963a28826407a7cb45f6c8fdaab4ce"></a><!-- doxytag: member="Ogre::Page::canHandleResponse" ref="a3e963a28826407a7cb45f6c8fdaab4ce" args="(const WorkQueue::Response *res, const WorkQueue *srcQ)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Page.html#a3e963a28826407a7cb45f6c8fdaab4ce">Ogre::Page::canHandleResponse</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">WorkQueue::Response</a> *&#160;</td>
          <td class="paramname"><em>res</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *&#160;</td>
          <td class="paramname"><em>srcQ</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html" title="Interface definition for a handler of responses.">WorkQueue::ResponseHandler</a> override. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a7a2fabae7f92bed384f100526055a899">Ogre::WorkQueue::ResponseHandler</a>.</p>

</div>
</div>
<a class="anchor" id="aa2b548cb36d32d101bc962bec9e4a532"></a><!-- doxytag: member="Ogre::Page::createContentCollection" ref="aa2b548cb36d32d101bc962bec9e4a532" args="(const String &amp;typeName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1PageContentCollection.html">PageContentCollection</a>* <a class="el" href="classOgre_1_1Page.html#aa2b548cb36d32d101bc962bec9e4a532">Ogre::Page::createContentCollection</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>typeName</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new <a class="el" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a> within this page. </p>
<p>This is equivalent to calling <a class="el" href="classOgre_1_1PageManager.html#ad81ffbdda28cdb9727a616f2ba6bdb10" title="Create a new instance of PageContentCollection using the registered factories.">PageManager::createContentCollection</a> and then attachContentCollection. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">typeName</td><td>The name of the type of content collection (see <a class="el" href="classOgre_1_1PageManager.html#ae2b22044d8f703f013bff3d0d671a8ec" title="Get a reference to the registered strategies.">PageManager::getContentCollectionFactories</a>) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7d54d0141d86f76a8ef49ecd3c48aeea"></a><!-- doxytag: member="Ogre::Page::destroyAllContentCollections" ref="a7d54d0141d86f76a8ef49ecd3c48aeea" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Page.html#a7d54d0141d86f76a8ef49ecd3c48aeea">Ogre::Page::destroyAllContentCollections</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Destroy all PageContentCollections within this page. </p>

</div>
</div>
<a class="anchor" id="a8ca47b6ce40af9cf4ab4dad16e86270f"></a><!-- doxytag: member="Ogre::Page::destroyContentCollection" ref="a8ca47b6ce40af9cf4ab4dad16e86270f" args="(PageContentCollection *coll)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Page.html#a8ca47b6ce40af9cf4ab4dad16e86270f">Ogre::Page::destroyContentCollection</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PageContentCollection.html">PageContentCollection</a> *&#160;</td>
          <td class="paramname"><em>coll</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Destroy a <a class="el" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a> within this page. </p>
<p>This is equivalent to calling detachContentCollection and <a class="el" href="classOgre_1_1PageManager.html#aa0117074e150144bbb18d02bfcdd3f3d" title="Destroy an instance of PageContentCollection.">PageManager::destroyContentCollection</a>. </p>

</div>
</div>
<a class="anchor" id="ac66750b1af3b6ff9a9109540a50bd2f0"></a><!-- doxytag: member="Ogre::Page::frameEnd" ref="ac66750b1af3b6ff9a9109540a50bd2f0" args="(Real timeElapsed)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Page.html#ac66750b1af3b6ff9a9109540a50bd2f0">Ogre::Page::frameEnd</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>timeElapsed</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when the frame ends. </p>

</div>
</div>
<a class="anchor" id="af59f9efc4f1f817860196d519dd14d69"></a><!-- doxytag: member="Ogre::Page::frameStart" ref="af59f9efc4f1f817860196d519dd14d69" args="(Real timeSinceLastFrame)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Page.html#af59f9efc4f1f817860196d519dd14d69">Ogre::Page::frameStart</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>timeSinceLastFrame</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when the frame starts. </p>

</div>
</div>
<a class="anchor" id="a9cca2fdcdf9e13f47a59a504f1995dd3"></a><!-- doxytag: member="Ogre::Page::generateFilename" ref="a9cca2fdcdf9e13f47a59a504f1995dd3" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Page.html#a9cca2fdcdf9e13f47a59a504f1995dd3">Ogre::Page::generateFilename</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a31ba49640bf95574ce526208f8113301"></a><!-- doxytag: member="Ogre::Page::getContentCollection" ref="a31ba49640bf95574ce526208f8113301" args="(size_t index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1PageContentCollection.html">PageContentCollection</a>* <a class="el" href="classOgre_1_1Page.html#a31ba49640bf95574ce526208f8113301">Ogre::Page::getContentCollection</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a content collection. </p>

</div>
</div>
<a class="anchor" id="a26028e45126f0666e85997bd0611ea24"></a><!-- doxytag: member="Ogre::Page::getContentCollectionCount" ref="a26028e45126f0666e85997bd0611ea24" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="classOgre_1_1Page.html#a26028e45126f0666e85997bd0611ea24">Ogre::Page::getContentCollectionCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of content collections. </p>

</div>
</div>
<a class="anchor" id="ac6dfb284b5b743e464f378cb40401afb"></a><!-- doxytag: member="Ogre::Page::getContentCollectionList" ref="ac6dfb284b5b743e464f378cb40401afb" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Page.html#a3d71c404efc53ee4188a1cc3da596d97">ContentCollectionList</a>&amp; <a class="el" href="classOgre_1_1Page.html#ac6dfb284b5b743e464f378cb40401afb">Ogre::Page::getContentCollectionList</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the list of content collections. </p>

</div>
</div>
<a class="anchor" id="a81b8b18cbc6706484eae5654421516e9"></a><!-- doxytag: member="Ogre::Page::getFrameLastHeld" ref="a81b8b18cbc6706484eae5654421516e9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned long <a class="el" href="classOgre_1_1Page.html#a81b8b18cbc6706484eae5654421516e9">Ogre::Page::getFrameLastHeld</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the frame number in which this <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> was last loaded or held. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>A <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> that has not been requested to be loaded or held in the recent past will be a candidate for removal. </dd></dl>

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00120">120</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab8d5411d1d7e6f3939ba9244c0b6d109"></a><!-- doxytag: member="Ogre::Page::getID" ref="ab8d5411d1d7e6f3939ba9244c0b6d109" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a> <a class="el" href="classOgre_1_1Page.html#ab8d5411d1d7e6f3939ba9244c0b6d109">Ogre::Page::getID</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the ID of this page, unique within the parent. </p>

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00112">112</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="aacba5887a85fb9ceeea08e493f60751e"></a><!-- doxytag: member="Ogre::Page::getManager" ref="aacba5887a85fb9ceeea08e493f60751e" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PageManager.html">PageManager</a>* <a class="el" href="classOgre_1_1Page.html#aacba5887a85fb9ceeea08e493f60751e">Ogre::Page::getManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aaf21709e7174dde657c21206c9e86f35"></a><!-- doxytag: member="Ogre::Page::getParentSection" ref="aaf21709e7174dde657c21206c9e86f35" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a>* <a class="el" href="classOgre_1_1Page.html#aaf21709e7174dde657c21206c9e86f35">Ogre::Page::getParentSection</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the <a class="el" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a> this page belongs to. </p>

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00114">114</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab60973ecd6838e0c211d2d7597cbb7d5"></a><!-- doxytag: member="Ogre::Page::getSceneManager" ref="ab60973ecd6838e0c211d2d7597cbb7d5" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* <a class="el" href="classOgre_1_1Page.html#ab60973ecd6838e0c211d2d7597cbb7d5">Ogre::Page::getSceneManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a80e1feed0673e75e4c56660f4be9fd00"></a><!-- doxytag: member="Ogre::Page::handleRequest" ref="a80e1feed0673e75e4c56660f4be9fd00" args="(const WorkQueue::Request *req, const WorkQueue *srcQ)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">WorkQueue::Response</a>* <a class="el" href="classOgre_1_1Page.html#a80e1feed0673e75e4c56660f4be9fd00">Ogre::Page::handleRequest</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">WorkQueue::Request</a> *&#160;</td>
          <td class="paramname"><em>req</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *&#160;</td>
          <td class="paramname"><em>srcQ</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html" title="Interface definition for a handler of requests.">WorkQueue::RequestHandler</a> override. </p>

<p>Implements <a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html#adf4cfa2660e7acf3a74751309855b39e">Ogre::WorkQueue::RequestHandler</a>.</p>

</div>
</div>
<a class="anchor" id="a90fa27b468e2eb4f8ca38b37ea504a0b"></a><!-- doxytag: member="Ogre::Page::handleResponse" ref="a90fa27b468e2eb4f8ca38b37ea504a0b" args="(const WorkQueue::Response *res, const WorkQueue *srcQ)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Page.html#a90fa27b468e2eb4f8ca38b37ea504a0b">Ogre::Page::handleResponse</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1WorkQueue_1_1Response.html">WorkQueue::Response</a> *&#160;</td>
          <td class="paramname"><em>res</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a> *&#160;</td>
          <td class="paramname"><em>srcQ</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html" title="Interface definition for a handler of responses.">WorkQueue::ResponseHandler</a> override. </p>

<p>Implements <a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a8fab0334551e482042df078a5945f5de">Ogre::WorkQueue::ResponseHandler</a>.</p>

</div>
</div>
<a class="anchor" id="ace4135b95de9a8516cbdca0dcce677ed"></a><!-- doxytag: member="Ogre::Page::isDeferredProcessInProgress" ref="ace4135b95de9a8516cbdca0dcce677ed" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Page.html#ace4135b95de9a8516cbdca0dcce677ed">Ogre::Page::isDeferredProcessInProgress</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>If true, it's not safe to access this <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> at this time, contents may be changing. </p>

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00109">109</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="a42b7744c285b582ea9263e19610aab81"></a><!-- doxytag: member="Ogre::Page::isHeld" ref="a42b7744c285b582ea9263e19610aab81" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1Page.html#a42b7744c285b582ea9263e19610aab81">Ogre::Page::isHeld</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether this page was 'held' in the last frame, that is was it either directly needed, or requested to stay in memory (held - as in a buffer region for example). </p>
<p>If not, this page is eligible for removal. </p>

</div>
</div>
<a class="anchor" id="ae510497e1a0e6c660c0d0c5b0c4e6db1"></a><!-- doxytag: member="Ogre::Page::isModified" ref="ae510497e1a0e6c660c0d0c5b0c4e6db1" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Page.html#ae510497e1a0e6c660c0d0c5b0c4e6db1">Ogre::Page::isModified</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00188">188</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="abdeb24850d8840373696a791bfdad3f1"></a><!-- doxytag: member="Ogre::Page::load" ref="abdeb24850d8840373696a791bfdad3f1" args="(bool synchronous)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Page.html#abdeb24850d8840373696a791bfdad3f1">Ogre::Page::load</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>synchronous</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load this page. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">synchronous</td><td>Whether to force this to happen synchronously. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a29994ecbd5b9ee763764987b3260155e"></a><!-- doxytag: member="Ogre::Page::loadImpl" ref="a29994ecbd5b9ee763764987b3260155e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Page.html#a29994ecbd5b9ee763764987b3260155e">Ogre::Page::loadImpl</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abf275bff910b8dae916eda08f23ee728"></a><!-- doxytag: member="Ogre::Page::notifyCamera" ref="abf275bff910b8dae916eda08f23ee728" args="(Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Page.html#abf275bff910b8dae916eda08f23ee728">Ogre::Page::notifyCamera</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Notify a section of the current camera. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::Page::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::Page::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::Page::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::Page::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::Page::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::Page::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::Page::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::Page::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::Page::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::Page::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a024e6cf1040c7c4657aa59e0d618c7b0"></a><!-- doxytag: member="Ogre::Page::prepareImpl" ref="a024e6cf1040c7c4657aa59e0d618c7b0" args="(PageData *dataToPopulate)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1Page.html#a024e6cf1040c7c4657aa59e0d618c7b0">Ogre::Page::prepareImpl</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1Page_1_1PageData.html">PageData</a> *&#160;</td>
          <td class="paramname"><em>dataToPopulate</em></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a378a16d93e288929681f6b87f0e08f9f"></a><!-- doxytag: member="Ogre::Page::prepareImpl" ref="a378a16d93e288929681f6b87f0e08f9f" args="(StreamSerialiser &amp;str, PageData *dataToPopulate)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1Page.html#a024e6cf1040c7c4657aa59e0d618c7b0">Ogre::Page::prepareImpl</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structOgre_1_1Page_1_1PageData.html">PageData</a> *&#160;</td>
          <td class="paramname"><em>dataToPopulate</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a453f4bbee5590c407ca6a4dd7dc61e32"></a><!-- doxytag: member="Ogre::Page::save" ref="a453f4bbee5590c407ca6a4dd7dc61e32" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Page.html#a453f4bbee5590c407ca6a4dd7dc61e32">Ogre::Page::save</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Save page data to an automatically generated file name. </p>

</div>
</div>
<a class="anchor" id="af56d3f1279d11fc1913ef5486219e56d"></a><!-- doxytag: member="Ogre::Page::save" ref="af56d3f1279d11fc1913ef5486219e56d" args="(const String &amp;filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Page.html#a453f4bbee5590c407ca6a4dd7dc61e32">Ogre::Page::save</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Save page data to a file. </p>

</div>
</div>
<a class="anchor" id="ac1cbcf55baae62589bdb9dc3dd6f75e0"></a><!-- doxytag: member="Ogre::Page::save" ref="ac1cbcf55baae62589bdb9dc3dd6f75e0" args="(StreamSerialiser &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Page.html#a453f4bbee5590c407ca6a4dd7dc61e32">Ogre::Page::save</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Save page data to a serialiser. </p>

</div>
</div>
<a class="anchor" id="a3f837b9ed9685e48b469a26a31759d70"></a><!-- doxytag: member="Ogre::Page::touch" ref="a3f837b9ed9685e48b469a26a31759d70" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Page.html#a3f837b9ed9685e48b469a26a31759d70">Ogre::Page::touch</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>'Touch' the page to let it know it's being used </p>

</div>
</div>
<a class="anchor" id="a376bbf6ea8fb5420e5054b7a8ee8fbbf"></a><!-- doxytag: member="Ogre::Page::unload" ref="a376bbf6ea8fb5420e5054b7a8ee8fbbf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Page.html#a376bbf6ea8fb5420e5054b7a8ee8fbbf">Ogre::Page::unload</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unload this page. </p>

</div>
</div>
<a class="anchor" id="aca73750320e5a7c8b688e25e8eceb5c9"></a><!-- doxytag: member="Ogre::Page::updateDebugDisplay" ref="aca73750320e5a7c8b688e25e8eceb5c9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Page.html#aca73750320e5a7c8b688e25e8eceb5c9">Ogre::Page::updateDebugDisplay</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a3f74de06fb5437ca247416afd1108a08"></a><!-- doxytag: member="Ogre::Page::operator&lt;&lt;" ref="a3f74de06fb5437ca247416afd1108a08" args="(std::ostream &amp;o, const Page &amp;p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> friend std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Page.html">Page</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Function for writing to a stream. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a6bb0e50b1d6056d204dbd95f58cbdc45"></a><!-- doxytag: member="Ogre::Page::CHUNK_CONTENTCOLLECTION_DECLARATION_ID" ref="a6bb0e50b1d6056d204dbd95f58cbdc45" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1Page.html#a6bb0e50b1d6056d204dbd95f58cbdc45">Ogre::Page::CHUNK_CONTENTCOLLECTION_DECLARATION_ID</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00100">100</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9594f6e545716a40f3e1257c448169d0"></a><!-- doxytag: member="Ogre::Page::CHUNK_ID" ref="a9594f6e545716a40f3e1257c448169d0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1Page.html#a9594f6e545716a40f3e1257c448169d0">Ogre::Page::CHUNK_ID</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00097">97</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5707ad53db103e123ff17a4837925c40"></a><!-- doxytag: member="Ogre::Page::CHUNK_VERSION" ref="a5707ad53db103e123ff17a4837925c40" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1Page.html#a5707ad53db103e123ff17a4837925c40">Ogre::Page::CHUNK_VERSION</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00098">98</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="a51d4f202f3283df6cfbe0085e3b7342e"></a><!-- doxytag: member="Ogre::Page::mContentCollections" ref="a51d4f202f3283df6cfbe0085e3b7342e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Page.html#a3d71c404efc53ee4188a1cc3da596d97">ContentCollectionList</a> <a class="el" href="classOgre_1_1Page.html#a51d4f202f3283df6cfbe0085e3b7342e">Ogre::Page::mContentCollections</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00057">57</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3eaa267072d89c45de897f7aea3d906d"></a><!-- doxytag: member="Ogre::Page::mDebugNode" ref="a3eaa267072d89c45de897f7aea3d906d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneNode.html">SceneNode</a>* <a class="el" href="classOgre_1_1Page.html#a3eaa267072d89c45de897f7aea3d906d">Ogre::Page::mDebugNode</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00062">62</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4a177cc5bb02fdb6d4ad9b4fed1ba614"></a><!-- doxytag: member="Ogre::Page::mDeferredProcessInProgress" ref="a4a177cc5bb02fdb6d4ad9b4fed1ba614" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Page.html#a4a177cc5bb02fdb6d4ad9b4fed1ba614">Ogre::Page::mDeferredProcessInProgress</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00059">59</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae8719facc929feab430feb2ed3f9fd84"></a><!-- doxytag: member="Ogre::Page::mFrameLastHeld" ref="ae8719facc929feab430feb2ed3f9fd84" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Page.html#ae8719facc929feab430feb2ed3f9fd84">Ogre::Page::mFrameLastHeld</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00056">56</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="a257c35af5540c4c9af9f2911e1d8db93"></a><!-- doxytag: member="Ogre::Page::mID" ref="a257c35af5540c4c9af9f2911e1d8db93" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a> <a class="el" href="classOgre_1_1Page.html#a257c35af5540c4c9af9f2911e1d8db93">Ogre::Page::mID</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00054">54</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="a23c7c28c738e2a8e71329f493d07c548"></a><!-- doxytag: member="Ogre::Page::mModified" ref="a23c7c28c738e2a8e71329f493d07c548" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Page.html#a23c7c28c738e2a8e71329f493d07c548">Ogre::Page::mModified</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00060">60</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8a1fc43114eca2b868dfd0d1fbdf7292"></a><!-- doxytag: member="Ogre::Page::mParent" ref="a8a1fc43114eca2b868dfd0d1fbdf7292" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PagedWorldSection.html">PagedWorldSection</a>* <a class="el" href="classOgre_1_1Page.html#a8a1fc43114eca2b868dfd0d1fbdf7292">Ogre::Page::mParent</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00055">55</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa0ad7ca737d07e2b01aa3b0cb2544b41"></a><!-- doxytag: member="Ogre::Page::mWorkQueueChannel" ref="aa0ad7ca737d07e2b01aa3b0cb2544b41" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1Page.html#aa0ad7ca737d07e2b01aa3b0cb2544b41">Ogre::Page::mWorkQueueChannel</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00058">58</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="afea0d088cc4a9446d980b508cbbcfbdf"></a><!-- doxytag: member="Ogre::Page::WORKQUEUE_CHANGECOLLECTION_REQUEST" ref="afea0d088cc4a9446d980b508cbbcfbdf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1Page.html#afea0d088cc4a9446d980b508cbbcfbdf">Ogre::Page::WORKQUEUE_CHANGECOLLECTION_REQUEST</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00191">191</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae7e7f504d91ee1a9b15fe7ba509d0047"></a><!-- doxytag: member="Ogre::Page::WORKQUEUE_PREPARE_REQUEST" ref="ae7e7f504d91ee1a9b15fe7ba509d0047" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1Page.html#ae7e7f504d91ee1a9b15fe7ba509d0047">Ogre::Page::WORKQUEUE_PREPARE_REQUEST</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePage_8h_source.html#l00190">190</a> of file <a class="el" href="OgrePage_8h_source.html">OgrePage.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePage_8h_source.html">OgrePage.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
